### Hierarchy

- InputContainer

## Index

### Properties

- ELEMENTS
- ELEMENTS_AS_STRING

### Methods

- addValuesToAttributes
- createBasket
- getAll
- getNormalOrDataAttribute
- getRequiredAttribute
- setRequiredAttribute

## Properties

### Static ELEMENTS

ELEMENTS: string[] = ['div.lto-camera','div.lto-code-reader','div.lto-drop-area','div.lto-map','div.lto-reel','div.lto-trigger','input.lto-email','input.lto-phone','input.lto-slider','input.lto-spinner','input.lto-text','textarea.lto-textarea',]

- Defined in lib/support/InputContainer.ts:10

### Static Private ELEMENTS_AS_STRING

ELEMENTS_AS_STRING: string = InputContainer.ELEMENTS.join(",")

- Defined in lib/support/InputContainer.ts:24

## Methods

### Static addValuesToAttributes

- addValuesToAttributes(element: HTMLElement, attributes: Attr): SubmitState

- - Defined in lib/support/InputContainer.ts:106

  #### Parameters

  - ##### element: HTMLElement

  - ##### attributes: Attr

  #### Returns SubmitState

### Static Private createBasket

- createBasket(basketName: string, attributes: Attr, name: string, value: string): void

- - Defined in lib/support/InputContainer.ts:149

  #### Parameters

  - ##### basketName: string

  - ##### attributes: Attr

  - ##### name: string

  - ##### value: string

  #### Returns void

### Static getAll

- getAll(container: HTMLFormElement, submit: HTMLButtonElement): Promise<Attr>

- - Defined in lib/support/InputContainer.ts:32

  #### Parameters

  - ##### container: HTMLFormElement

  - ##### submit: HTMLButtonElement

  #### Returns Promise<Attr>

### Static Private getNormalOrDataAttribute

- getNormalOrDataAttribute(element: HTMLElement, name: string): string | null

- - Defined in lib/support/InputContainer.ts:164

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  #### Returns string | null

### Static Private getRequiredAttribute

- getRequiredAttribute(element: HTMLElement): boolean

- - Defined in lib/support/InputContainer.ts:173

  #### Parameters

  - ##### element: HTMLElement

  #### Returns boolean

### Static setRequiredAttribute

- setRequiredAttribute(element: HTMLElement, required: string | boolean | null | undefined): void

- - Defined in lib/support/InputContainer.ts:183

  #### Parameters

  - ##### element: HTMLElement

  - ##### required: string | boolean | null | undefined

  #### Returns void

Generated using TypeDoc